Get OrchestratorModule by ID
curl --request GET \
--url https://platform.kodexa.ai/api/orchestrator-modules/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.kodexa.ai/api/orchestrator-modules/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.kodexa.ai/api/orchestrator-modules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changeSequence": 123,
"createdBy": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deleted": true,
"deletedDate": "2023-11-07T05:31:56Z",
"deprecated": true,
"description": "<string>",
"eventAware": true,
"extensionPackRef": "<string>",
"id": "<string>",
"metadata": {
"actions": "<unknown>",
"additionalTaxonOptions": "<unknown>",
"allowedHosts": [
"<string>"
],
"baseDir": "<string>",
"bridgeType": "<string>",
"contents": [
"<string>"
],
"eventAware": true,
"ignoredContents": [
"<string>"
],
"inferable": true,
"inferenceOptions": "<unknown>",
"messageTemplates": "<unknown>",
"moduleRuntimeParameters": {},
"moduleRuntimeRef": "<string>",
"moduleSidecars": [
"<string>"
],
"optionTabs": "<unknown>",
"script": "<string>",
"scriptLanguage": "<string>",
"state": "<string>",
"stateHash": "<string>",
"supportsScheduling": true,
"taxonFeatures": "<unknown>",
"taxonomy": "<unknown>",
"type": "<string>"
},
"moduleStatus": "<string>",
"moduleType": "<string>",
"name": "<string>",
"organization": {
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>"
},
"organizationId": "<string>",
"publicAccess": true,
"slug": "<string>",
"supportsScheduling": true,
"template": true,
"type": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"yamlSource": "<string>"
}Orchestrator Modules
Get OrchestratorModule by ID
Retrieves a single OrchestratorModule by its unique identifier. Orchestrator modules are processing components used within pipelines.
GET
/
api
/
orchestrator-modules
/
{id}
Get OrchestratorModule by ID
Authorizations
x-api-keybearerAuth
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Response
The OrchestratorModule
An orchestrator module is a processing component used within pipelines.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
